/*
*   \file
*   \remarks XML Builder APIs (DRM Core) Prototypes
*   \author Pavel Haber
*
*   WMDRM Service Package, Type Definitions, XML Builder APIs (DRM Core)
*
*   Copyright (C) 2008 by Discretix Technologies Ltd.
*           All rights reserved.
*
*/

#ifndef XMLBUILDER_TST_API_H
#define XMLBUILDER_TST_API_H

DRM_RESULT TestXMLAppendNode(long argc, char **argv);
DRM_RESULT TestXMLAddCData(long argc, char **argv);
DRM_RESULT TestXMLAddData(long argc, char **argv);
DRM_RESULT TestXMLAddAttribute(long argc, char **argv);
DRM_RESULT TestXMLGetContextSize(long argc, char **argv);
DRM_RESULT TestXMLGetCurrNodeName(long argc, char **argv);
DRM_RESULT TestXMLCloseCurrNode(long argc, char **argv);
DRM_RESULT TestXMLOpenNode(long argc, char **argv);
DRM_RESULT TestXMLCloseDocument(long argc, char **argv);
DRM_RESULT TestXMLReallocDocument(long argc, char **argv);
DRM_RESULT TestXMLCreateDocument(long argc, char **argv);
DRM_RESULT TestXMLUtilReinitialize_XMLB(long iIndex, char **argv);

#endif

